# Class MediaDecodeError

#### Hierarchy

- MediaPlayerError
  - MediaDecodeError

#####
Index

### Constructors

constructor

### Properties

category
code
description

## Constructors

### constructor

- new MediaDecodeError(): MediaDecodeError

- #### Returns MediaDecodeError

  Inherited from MediaPlayerError.constructor

## Properties

### `Readonly` category

category: Media = ErrorCategory.Media

Inherited from MediaPlayerError.category

### `Readonly` code

code: MediaDecodeError = ErrorCode.MediaDecodeError

Overrides MediaPlayerError.code

### `Readonly` description

description: "The media playback was aborted due to a corruption problem or because the media used features your browser did not support." = 'The media playback was aborted due to a corruption problem or because the media used features your browser did not support.'